Long
Date: 2016-06-24

java.lang

## Class Long

- java.lang.Object
- - java.lang.Number
  - - java.lang.Long

- All Implemented Interfaces:
    Serializable, Comparable

      public final class Long
      extends Number
      implements Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `MAX_VALUE`
    `static long` | `MIN_VALUE`
    `static Class` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Long(long var0)`
    `Long(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Long var0)`
    `int` | `compareTo(Object var0)`
    `static Long` | `decode(String var0)`
    `double` | `doubleValue()`
    `float` | `floatValue()`
    `static Long` | `getLong(String var0)`
    `static Long` | `getLong(String var0, long var1)`
    `static Long` | `getLong(String var0, Long var1)`
    `int` | `intValue()`
    `long` | `longValue()`
    `static long` | `parseLong(String var0)`
    `static long` | `parseLong(String var0, int var1)`
    `static String` | `toBinaryString(long var0)`
    `static String` | `toHexString(long var0)`
    `static String` | `toOctalString(long var0)`
    `static String` | `toString(long var0)`
    `static String` | `toString(long var0, int var1)`
    `static Long` | `valueOf(String var0)`
    `static Long` | `valueOf(String var0, int var1)`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_VALUE

          public static final long MAX_VALUE

      See Also:
        Constant Field Values

    - #### MIN_VALUE

          public static final long MIN_VALUE

      See Also:
        Constant Field Values

    - #### TYPE

          public static final Class TYPE

  - ### Constructor Detail

    - #### Long

          public Long(long var0)

    - #### Long

          public Long(String var0)

  - ### Method Detail

    - #### compareTo

          public int compareTo(Long var0)

    - #### compareTo

          public int compareTo(Object var0)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### decode

          public static Long decode(String var0)

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `Number`

    - #### getLong

          public static Long getLong(String var0)

    - #### getLong

          public static Long getLong(String var0,
                     long var1)

    - #### getLong

          public static Long getLong(String var0,
                     Long var1)

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `Number`

    - #### parseLong

          public static long parseLong(String var0)

    - #### parseLong

          public static long parseLong(String var0,
                       int var1)

    - #### toBinaryString

          public static String toBinaryString(long var0)

    - #### toHexString

          public static String toHexString(long var0)

    - #### toOctalString

          public static String toOctalString(long var0)

    - #### toString

          public static String toString(long var0)

    - #### toString

          public static String toString(long var0,
                        int var1)

    - #### valueOf

          public static Long valueOf(String var0)

    - #### valueOf

          public static Long valueOf(String var0,
                     int var1)